USBIP(8)

NAME
usbip - manage USB/IP devices

SYNOPSIS
usbip [options] <command> <args>

DESCRIPTION
On a USB/IP server, devices can be listed, bound, and unbound using this program. On a USB/IP client, devices exported by USB/IP servers can be listed, attached and detached.

OPTIONS

--debug

    Print debugging information.

--log

    Log to syslog.

--tcp-port PORT

    Connect to PORT on remote host (used for attach and list --remote).

COMMANDS

version

    Show version and exit.

help [command]

    Print the program help message, or help on a specific command, and then exit.

attach --remote=<host> --busid=<bus_id>

    Attach a remote USB device.

detach --port=<port>

    Detach an imported USB device.

bind --busid=<busid>

    Make a device exportable.

unbind --busid=<busid>

    Stop exporting a device so it can be used by a local driver.

list --remote=<host>

    List USB devices exported by a remote host.

list --local

    List local USB devices.

EXAMPLES

    client:# usbip list --remote=server
        - List exportable usb devices on the server.

    client:# usbip attach --remote=server --busid=1-2
        - Connect the remote USB device.

    client:# usbip detach --port=0
        - Detach the usb device.

SEE ALSO
usbipd(8)